summaryrefslogtreecommitdiff
path: root/resources/scripts/update/module/grub
diff options
context:
space:
mode:
Diffstat (limited to 'resources/scripts/update/module/grub')
-rwxr-xr-xresources/scripts/update/module/grub32
1 files changed, 32 insertions, 0 deletions
diff --git a/resources/scripts/update/module/grub b/resources/scripts/update/module/grub
new file mode 100755
index 00000000..0620a775
--- /dev/null
+++ b/resources/scripts/update/module/grub
@@ -0,0 +1,32 @@
+#!/usr/bin/env bash
+
+# helper script: Downloads GRUB and patches it.
+#
+# Copyright (C) 2014,2015,2016,2020,2021,2023 Leah Rowe
+# <info@minifree.org>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+[ "x${DEBUG+set}" = 'xset' ] && set -v
+set -u -e
+
+./gitclone grub
+./gitclone gnulib || rm -Rf grub/
+if [ ! -d grub ]; then
+ printf "%s: Could not download grub and gnulib\n" ${0}
+ exit 1
+else
+ exit 0
+fi